Printago API
PATCH
/v1/folders/rename
Rename a folder
Request Body
Folder ID and new name
RenameFolderRequest
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
Example Request
application/json
{
"id": "string",
"name": "string"
}
Response Schema
Folder
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
parentIdrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
any
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"name": "string",
"customMetadata": {},
"id": "string",
"storeId": "string",
"createdAt": "2026-09-09T20:31:46.492Z",
"updatedAt": "2026-09-09T20:31:46.492Z"
}